Categories:
  - Internet
License: GPL-3.0-only
AuthorName: David Laurell
AuthorEmail: david.laurell@gmail.com
SourceCode: https://github.com/daverix/urlforwarder
IssueTracker: https://github.com/daverix/urlforwarder/issues

AutoName: Url forwarder
Description: |-
    Provides a bookmarklet functionality: It works by sharing a link from any app
    using filters.

    Ever used bookmarklet’s in the browser? This app makes it possible to create
    filters that forwards an url to another site.

    For example, say you have a site called "myexample.com" that you want to send to
    another site called "myshareexample.com". Choosing "Url Forwarder" in the share
    menu of your browser then lets you pass the current web page you are on to the
    site you have created a filter for.

    The filters will be displayed in a dialog and just open any app that has an
    intent filter for the url in the filter (normally the browser).

RepoType: git
Repo: https://github.com/daverix/urlforwarder

Builds:
  - versionName: 0.2.4
    versionCode: 6
    commit: 3d4d1253796bf0f120773428607271a3feae7732
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/gradle/s/2.2.0-beta1/2.1.0/g' build.gradle ../build.gradle

  - versionName: '0.3'
    versionCode: 7
    commit: v0.3
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/gradle/s/2.2.0-beta2/2.1.0/g' build.gradle ../build.gradle

  - versionName: '0.4'
    versionCode: 8
    commit: v0.4
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: '0.4'
CurrentVersionCode: 8
